###############################################################################
#                 Aidge Continuous Integration and Deployment                 #
#                                                                             #
###############################################################################

stages:
  - static_analysis
  - build
  - test
  - coverage
  - release
  - deploy

include:
  - project: 'eclipse/aidge/gitlab_shared_files' 
    ref: 'main'
    file: 
      # choose which jobs to run by including the corresponding files.
      - '.gitlab/ci/ubuntu_python.gitlab-ci.yml'
      - '.gitlab/ci/release/pip.gitlab-ci.yml'
      #  Since aidge_onnx is a pure python package building on windows and on ubuntu doesn't differ
      # - '.gitlab/ci/windows_python.gitlab-ci.yml' 

